diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-rrc-header.cc ns-3.40/src/lte/model/lte-rrc-header.cc
--- ns-3.39/src/lte/model/lte-rrc-header.cc	2023-07-05 14:23:48.013428000 -0700
+++ ns-3.40/src/lte/model/lte-rrc-header.cc	2023-09-27 13:30:37.822839500 -0700
@@ -7062,7 +7050,7 @@
     {
         std::list<LteRrcSap::MeasResultEutra> measResultListEutra =
             m_measurementReport.measResults.measResultListEutra;
-        std::list<LteRrcSap::MeasResultEutra>::iterator it = measResultListEutra.begin();
+        auto it = measResultListEutra.begin();
         for (; it != measResultListEutra.end(); it++)
         {
             os << "   physCellId =" << (int)it->physCellId << std::endl;
@@ -7076,7 +7064,7 @@
                    << std::endl;
                 if (!it->cgiInfo.plmnIdentityList.empty())
                 {
-                    for (std::list<uint32_t>::iterator it2 = it->cgiInfo.plmnIdentityList.begin();
+                    for (auto it2 = it->cgiInfo.plmnIdentityList.begin();
                          it2 != it->cgiInfo.plmnIdentityList.end();
                          it2++)
                     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-rrc-protocol-ideal.cc ns-3.40/src/lte/model/lte-rrc-protocol-ideal.cc
--- ns-3.39/src/lte/model/lte-rrc-protocol-ideal.cc	2023-07-05 14:23:48.013428000 -0700
+++ ns-3.40/src/lte/model/lte-rrc-protocol-ideal.cc	2023-09-27 13:30:37.822839500 -0700
@@ -206,9 +206,9 @@
 
     // walk list of all nodes to get the peer eNB
     Ptr<LteEnbNetDevice> enbDev;
-    NodeList::Iterator listEnd = NodeList::End();
+    auto listEnd = NodeList::End();
     bool found = false;
-    for (NodeList::Iterator i = NodeList::Begin(); (i != listEnd) && (!found); ++i)
+    for (auto i = NodeList::Begin(); (i != listEnd) && (!found); ++i)
     {
         Ptr<Node> node = *i;
         int nDevs = node->GetNDevices();
@@ -288,8 +288,7 @@
 LteUeRrcSapProvider*
 LteEnbRrcProtocolIdeal::GetUeRrcSapProvider(uint16_t rnti)
 {
-    std::map<uint16_t, LteUeRrcSapProvider*>::const_iterator it;
-    it = m_enbRrcSapProviderMap.find(rnti);
+    auto it = m_enbRrcSapProviderMap.find(rnti);
     NS_ASSERT_MSG(it != m_enbRrcSapProviderMap.end(), "could not find RNTI = " << rnti);
     return it->second;
 }
@@ -297,8 +296,7 @@
 void
 LteEnbRrcProtocolIdeal::SetUeRrcSapProvider(uint16_t rnti, LteUeRrcSapProvider* p)
 {
-    std::map<uint16_t, LteUeRrcSapProvider*>::iterator it;
-    it = m_enbRrcSapProviderMap.find(rnti);
+    auto it = m_enbRrcSapProviderMap.find(rnti);
     // assign UE RRC only if the RNTI is found at eNB
     if (it != m_enbRrcSapProviderMap.end())
     {
@@ -359,7 +357,7 @@
     NS_LOG_FUNCTION(this << cellId);
     // walk list of all nodes to get UEs with this cellId
     Ptr<LteUeRrc> ueRrc;
-    for (NodeList::Iterator i = NodeList::Begin(); i != NodeList::End(); ++i)
+    for (auto i = NodeList::Begin(); i != NodeList::End(); ++i)
     {
         Ptr<Node> node = *i;
         int nDevs = node->GetNDevices();
@@ -576,8 +574,7 @@
     p->RemoveHeader(h);
     uint32_t msgId = h.GetMsgId();
     NS_LOG_INFO(" decoding msgId = " << msgId);
-    std::map<uint32_t, LteRrcSap::HandoverPreparationInfo>::iterator it =
-        g_handoverPreparationInfoMsgMap.find(msgId);
+    auto it = g_handoverPreparationInfoMsgMap.find(msgId);
     NS_ASSERT_MSG(it != g_handoverPreparationInfoMsgMap.end(), "msgId " << msgId << " not found");
     LteRrcSap::HandoverPreparationInfo msg = it->second;
     g_handoverPreparationInfoMsgMap.erase(it);
@@ -699,8 +696,7 @@
     p->RemoveHeader(h);
     uint32_t msgId = h.GetMsgId();
     NS_LOG_INFO(" decoding msgId = " << msgId);
-    std::map<uint32_t, LteRrcSap::RrcConnectionReconfiguration>::iterator it =
-        g_handoverCommandMsgMap.find(msgId);
+    auto it = g_handoverCommandMsgMap.find(msgId);
     NS_ASSERT_MSG(it != g_handoverCommandMsgMap.end(), "msgId " << msgId << " not found");
     LteRrcSap::RrcConnectionReconfiguration msg = it->second;
     g_handoverCommandMsgMap.erase(it);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-rrc-protocol-real.cc ns-3.40/src/lte/model/lte-rrc-protocol-real.cc
--- ns-3.39/src/lte/model/lte-rrc-protocol-real.cc	2023-07-05 14:23:48.013428000 -0700
+++ ns-3.40/src/lte/model/lte-rrc-protocol-real.cc	2023-09-27 13:30:37.822839500 -0700
@@ -269,9 +269,9 @@
 
     // walk list of all nodes to get the peer eNB
     Ptr<LteEnbNetDevice> enbDev;
-    NodeList::Iterator listEnd = NodeList::End();
+    auto listEnd = NodeList::End();
     bool found = false;
-    for (NodeList::Iterator i = NodeList::Begin(); (i != listEnd) && (!found); ++i)
+    for (auto i = NodeList::Begin(); (i != listEnd) && (!found); ++i)
     {
         Ptr<Node> node = *i;
         int nDevs = node->GetNDevices();
@@ -400,8 +400,7 @@
 {
     NS_LOG_FUNCTION(this);
     delete m_enbRrcSapUser;
-    for (std::map<uint16_t, LteEnbRrcSapProvider::CompleteSetupUeParameters>::iterator it =
-             m_completeSetupUeParametersMap.begin();
+    for (auto it = m_completeSetupUeParametersMap.begin();
          it != m_completeSetupUeParametersMap.end();
          ++it)
     {
@@ -442,8 +441,7 @@
 LteUeRrcSapProvider*
 LteEnbRrcProtocolReal::GetUeRrcSapProvider(uint16_t rnti)
 {
-    std::map<uint16_t, LteUeRrcSapProvider*>::const_iterator it;
-    it = m_enbRrcSapProviderMap.find(rnti);
+    auto it = m_enbRrcSapProviderMap.find(rnti);
     NS_ASSERT_MSG(it != m_enbRrcSapProviderMap.end(), "could not find RNTI = " << rnti);
     return it->second;
 }
@@ -451,8 +449,7 @@
 void
 LteEnbRrcProtocolReal::SetUeRrcSapProvider(uint16_t rnti, LteUeRrcSapProvider* p)
 {
-    std::map<uint16_t, LteUeRrcSapProvider*>::iterator it;
-    it = m_enbRrcSapProviderMap.find(rnti);
+    auto it = m_enbRrcSapProviderMap.find(rnti);
     // assign UE RRC only if the RNTI is found at eNB
     if (it != m_enbRrcSapProviderMap.end())
     {
@@ -503,8 +500,7 @@
     m_setupUeParametersMap[rnti] = params;
 
     LteEnbRrcSapProvider::CompleteSetupUeParameters completeSetupUeParameters;
-    std::map<uint16_t, LteEnbRrcSapProvider::CompleteSetupUeParameters>::iterator csupIt =
-        m_completeSetupUeParametersMap.find(rnti);
+    auto csupIt = m_completeSetupUeParametersMap.find(rnti);
     if (csupIt == m_completeSetupUeParametersMap.end())
     {
         // Create LteRlcSapUser, LtePdcpSapUser
@@ -527,8 +523,7 @@
 LteEnbRrcProtocolReal::DoRemoveUe(uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << rnti);
-    std::map<uint16_t, LteEnbRrcSapProvider::CompleteSetupUeParameters>::iterator it =
-        m_completeSetupUeParametersMap.find(rnti);
+    auto it = m_completeSetupUeParametersMap.find(rnti);
     NS_ASSERT(it != m_completeSetupUeParametersMap.end());
     delete it->second.srb0SapUser;
     delete it->second.srb1SapUser;
@@ -543,7 +538,7 @@
     NS_LOG_FUNCTION(this << cellId);
     // walk list of all nodes to get UEs with this cellId
     Ptr<LteUeRrc> ueRrc;
-    for (NodeList::Iterator i = NodeList::Begin(); i != NodeList::End(); ++i)
+    for (auto i = NodeList::Begin(); i != NodeList::End(); ++i)
     {
         Ptr<Node> node = *i;
         int nDevs = node->GetNDevices();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-spectrum-phy.cc ns-3.40/src/lte/model/lte-spectrum-phy.cc
--- ns-3.39/src/lte/model/lte-spectrum-phy.cc	2023-07-05 14:23:48.013428000 -0700
+++ ns-3.40/src/lte/model/lte-spectrum-phy.cc	2023-09-27 13:30:37.822839500 -0700
@@ -911,11 +911,10 @@
     TbId_t tbId;
     tbId.m_rnti = rnti;
     tbId.m_layer = layer;
-    expectedTbs_t::iterator it;
-    it = m_expectedTbs.find(tbId);
+    auto it = m_expectedTbs.find(tbId);
     if (it != m_expectedTbs.end())
     {
-        // might be a TB of an unreceived packet (due to high progpalosses)
+        // might be a TB of an unreceived packet (due to high propagation losses)
         m_expectedTbs.erase(it);
     }
     // insert new entry
@@ -933,8 +932,7 @@
     for (uint8_t i = 0; i < 2; i++)
     {
         tbId.m_layer = i;
-        expectedTbs_t::iterator it;
-        it = m_expectedTbs.find(tbId);
+        auto it = m_expectedTbs.find(tbId);
         if (it != m_expectedTbs.end())
         {
             m_expectedTbs.erase(it);
@@ -955,7 +953,7 @@
     m_interferenceData->EndRx();
     NS_LOG_DEBUG(this << " No. of burts " << m_rxPacketBurstList.size());
     NS_LOG_DEBUG(this << " Expected TBs " << m_expectedTbs.size());
-    expectedTbs_t::iterator itTb = m_expectedTbs.begin();
+    auto itTb = m_expectedTbs.begin();
 
     // apply transmission mode gain
     NS_LOG_DEBUG(this << " txMode " << (uint16_t)m_transmissionMode << " gain "
@@ -1029,11 +1027,9 @@
         itTb++;
     }
     std::map<uint16_t, DlInfoListElement_s> harqDlInfoMap;
-    for (std::list<Ptr<PacketBurst>>::const_iterator i = m_rxPacketBurstList.begin();
-         i != m_rxPacketBurstList.end();
-         ++i)
+    for (auto i = m_rxPacketBurstList.begin(); i != m_rxPacketBurstList.end(); ++i)
     {
-        for (std::list<Ptr<Packet>>::const_iterator j = (*i)->Begin(); j != (*i)->End(); ++j)
+        for (auto j = (*i)->Begin(); j != (*i)->End(); ++j)
         {
             // retrieve TB info of this packet
             LteRadioBearerTag tag;
@@ -1094,8 +1090,7 @@
                     }
                     else
                     {
-                        std::map<uint16_t, DlInfoListElement_s>::iterator itHarq =
-                            harqDlInfoMap.find(tbId.m_rnti);
+                        auto itHarq = harqDlInfoMap.find(tbId.m_rnti);
                         if (itHarq == harqDlInfoMap.end())
                         {
                             DlInfoListElement_s harqDlInfo;
@@ -1170,8 +1165,7 @@
     }
 
     // send DL HARQ feedback to LtePhy
-    std::map<uint16_t, DlInfoListElement_s>::iterator itHarq;
-    for (itHarq = harqDlInfoMap.begin(); itHarq != harqDlInfoMap.end(); itHarq++)
+    for (auto itHarq = harqDlInfoMap.begin(); itHarq != harqDlInfoMap.end(); itHarq++)
     {
         if (!m_ltePhyDlHarqFeedbackCallback.IsNull())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-spectrum-value-helper.cc ns-3.40/src/lte/model/lte-spectrum-value-helper.cc
--- ns-3.39/src/lte/model/lte-spectrum-value-helper.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-spectrum-value-helper.cc	2023-09-27 13:30:37.822839500 -0700
@@ -43,7 +43,7 @@
 ostream&
 operator<<(ostream& os, const vector<int>& v)
 {
-    vector<int>::const_iterator it = v.begin();
+    auto it = v.begin();
     while (it != v.end())
     {
         os << *it << " ";
@@ -252,7 +252,7 @@
     NS_LOG_FUNCTION(earfcn << txBandwidthConfiguration);
     Ptr<SpectrumModel> ret;
     LteSpectrumModelId key(earfcn, txBandwidthConfiguration);
-    std::map<LteSpectrumModelId, Ptr<SpectrumModel>>::iterator it = g_lteSpectrumModelMap.find(key);
+    auto it = g_lteSpectrumModelMap.find(key);
     if (it != g_lteSpectrumModelMap.end())
     {
         ret = it->second;
@@ -297,7 +297,7 @@
 
     double txPowerDensity = (powerTxW / (txBandwidthConfiguration * 180000));
 
-    for (std::vector<int>::iterator it = activeRbs.begin(); it != activeRbs.end(); it++)
+    for (auto it = activeRbs.begin(); it != activeRbs.end(); it++)
     {
         int rbId = (*it);
         (*txPsd)[rbId] = txPowerDensity;
@@ -323,11 +323,11 @@
     // powerTx is expressed in dBm. We must convert it into natural unit.
     double basicPowerTxW = std::pow(10., (powerTx - 30) / 10);
 
-    for (std::vector<int>::iterator it = activeRbs.begin(); it != activeRbs.end(); it++)
+    for (auto it = activeRbs.begin(); it != activeRbs.end(); it++)
     {
         int rbId = (*it);
 
-        std::map<int, double>::iterator powerIt = powerTxMap.find(rbId);
+        auto powerIt = powerTxMap.find(rbId);
 
         double txPowerDensity;
 
@@ -365,7 +365,7 @@
 
     double txPowerDensity = (powerTxW / (activeRbs.size() * 180000));
 
-    for (std::vector<int>::iterator it = activeRbs.begin(); it != activeRbs.end(); it++)
+    for (auto it = activeRbs.begin(); it != activeRbs.end(); it++)
     {
         int rbId = (*it);
         (*txPsd)[rbId] = txPowerDensity;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-ue-component-carrier-manager.cc ns-3.40/src/lte/model/lte-ue-component-carrier-manager.cc
--- ns-3.39/src/lte/model/lte-ue-component-carrier-manager.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-ue-component-carrier-manager.cc	2023-09-27 13:30:37.822839500 -0700
@@ -77,8 +77,7 @@
 {
     NS_LOG_FUNCTION(this);
     bool result = false;
-    std::map<uint8_t, LteMacSapProvider*>::iterator it;
-    it = m_macSapProvidersMap.find(componentCarrierId);
+    auto it = m_macSapProvidersMap.find(componentCarrierId);
     if (componentCarrierId > m_noOfComponentCarriers)
     {
         NS_FATAL_ERROR("Inconsistent componentCarrierId or you didn't call "
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-ue-mac.cc ns-3.40/src/lte/model/lte-ue-mac.cc
--- ns-3.39/src/lte/model/lte-ue-mac.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-ue-mac.cc	2023-09-27 13:30:37.822839500 -0700
@@ -333,9 +333,7 @@
 {
     NS_LOG_FUNCTION(this << (uint32_t)params.lcid);
 
-    std::map<uint8_t, LteMacSapProvider::ReportBufferStatusParameters>::iterator it;
-
-    it = m_ulBsrReceived.find(params.lcid);
+    auto it = m_ulBsrReceived.find(params.lcid);
     if (it != m_ulBsrReceived.end())
     {
         // update entry
@@ -371,13 +369,11 @@
     bsr.m_macCeType = MacCeListElement_s::BSR;
 
     // BSR is reported for each LCG
-    std::map<uint8_t, LteMacSapProvider::ReportBufferStatusParameters>::iterator it;
     std::vector<uint32_t> queue(4, 0); // one value per each of the 4 LCGs, initialized to 0
-    for (it = m_ulBsrReceived.begin(); it != m_ulBsrReceived.end(); it++)
+    for (auto it = m_ulBsrReceived.begin(); it != m_ulBsrReceived.end(); it++)
     {
         uint8_t lcid = it->first;
-        std::map<uint8_t, LcInfo>::iterator lcInfoMapIt;
-        lcInfoMapIt = m_lcInfoMap.find(lcid);
+        auto lcInfoMapIt = m_lcInfoMap.find(lcid);
         NS_ASSERT(lcInfoMapIt != m_lcInfoMap.end());
         NS_ASSERT_MSG((lcid != 0) ||
                           (((*it).second.txQueueSize == 0) && ((*it).second.retxQueueSize == 0) &&
@@ -462,10 +458,9 @@
     // trigger tx opportunity for Message 3 over LC 0
     // this is needed since Message 3's UL GRANT is in the RAR, not in UL-DCIs
     const uint8_t lc0Lcid = 0;
-    std::map<uint8_t, LcInfo>::iterator lc0InfoIt = m_lcInfoMap.find(lc0Lcid);
+    auto lc0InfoIt = m_lcInfoMap.find(lc0Lcid);
     NS_ASSERT(lc0InfoIt != m_lcInfoMap.end());
-    std::map<uint8_t, LteMacSapProvider::ReportBufferStatusParameters>::iterator lc0BsrIt =
-        m_ulBsrReceived.find(lc0Lcid);
+    auto lc0BsrIt = m_ulBsrReceived.find(lc0Lcid);
     if ((lc0BsrIt != m_ulBsrReceived.end()) && (lc0BsrIt->second.txQueueSize > 0))
     {
         NS_ASSERT_MSG(raResponse.m_grant.m_tbSize > lc0BsrIt->second.txQueueSize,
@@ -596,7 +591,7 @@
 LteUeMac::DoReset()
 {
     NS_LOG_FUNCTION(this);
-    std::map<uint8_t, LcInfo>::iterator it = m_lcInfoMap.begin();
+    auto it = m_lcInfoMap.begin();
     while (it != m_lcInfoMap.end())
     {
         // don't delete CCCH)
@@ -633,7 +628,7 @@
     if (tag.GetRnti() == m_rnti)
     {
         // packet is for the current user
-        std::map<uint8_t, LcInfo>::const_iterator it = m_lcInfoMap.find(tag.GetLcid());
+        auto it = m_lcInfoMap.find(tag.GetLcid());
         if (it != m_lcInfoMap.end())
         {
             LteMacSapUser::ReceivePduParameters rxPduParams;
@@ -663,10 +658,9 @@
             Ptr<PacketBurst> pb = CreateObject<PacketBurst>();
             m_miUlHarqProcessesPacket.at(m_harqProcessId) = pb;
             // Retrieve data from RLC
-            std::map<uint8_t, LteMacSapProvider::ReportBufferStatusParameters>::iterator itBsr;
             uint16_t activeLcs = 0;
             uint32_t statusPduMinSize = 0;
-            for (itBsr = m_ulBsrReceived.begin(); itBsr != m_ulBsrReceived.end(); itBsr++)
+            for (auto itBsr = m_ulBsrReceived.begin(); itBsr != m_ulBsrReceived.end(); itBsr++)
             {
                 if (((*itBsr).second.statusPduSize > 0) || ((*itBsr).second.retxQueueSize > 0) ||
                     ((*itBsr).second.txQueueSize > 0))
@@ -688,7 +682,6 @@
                 NS_LOG_ERROR(this << " No active flows for this UL-DCI");
                 return;
             }
-            std::map<uint8_t, LcInfo>::iterator it;
             uint32_t bytesPerActiveLc = dci.m_tbSize / activeLcs;
             bool statusPduPriority = false;
             if ((statusPduMinSize != 0) && (bytesPerActiveLc < statusPduMinSize))
@@ -709,9 +702,9 @@
 
             LteMacSapUser::TxOpportunityParameters txOpParams;
 
-            for (it = m_lcInfoMap.begin(); it != m_lcInfoMap.end(); it++)
+            for (auto it = m_lcInfoMap.begin(); it != m_lcInfoMap.end(); it++)
             {
-                itBsr = m_ulBsrReceived.find((*it).first);
+                auto itBsr = m_ulBsrReceived.find((*it).first);
                 NS_LOG_DEBUG(this << " Processing LC " << (uint32_t)(*it).first
                                   << " bytesPerActiveLc " << bytesPerActiveLc);
                 if ((itBsr != m_ulBsrReceived.end()) &&
@@ -849,7 +842,7 @@
             // HARQ retransmission -> retrieve data from HARQ buffer
             NS_LOG_DEBUG(this << " UE MAC RETX HARQ " << (uint16_t)m_harqProcessId);
             Ptr<PacketBurst> pb = m_miUlHarqProcessesPacket.at(m_harqProcessId);
-            for (std::list<Ptr<Packet>>::const_iterator j = pb->Begin(); j != pb->End(); ++j)
+            for (auto j = pb->Begin(); j != pb->End(); ++j)
             {
                 Ptr<Packet> pkt = (*j)->Copy();
                 m_uePhySapProvider->SendMacPdu(pkt);
@@ -867,10 +860,7 @@
                               << (uint32_t)m_raRnti);
             if (raRnti == m_raRnti) // RAR corresponds to TX subframe of preamble
             {
-                for (std::list<RarLteControlMessage::Rar>::const_iterator it =
-                         rarMsg->RarListBegin();
-                     it != rarMsg->RarListEnd();
-                     ++it)
+                for (auto it = rarMsg->RarListBegin(); it != rarMsg->RarListEnd(); ++it)
                 {
                     if (it->rapId == m_raPreambleId) // RAR is for me
                     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-ue-net-device.cc ns-3.40/src/lte/model/lte-ue-net-device.cc
--- ns-3.39/src/lte/model/lte-ue-net-device.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-ue-net-device.cc	2023-09-27 13:30:37.822839500 -0700
@@ -267,8 +267,7 @@
     m_isConstructed = true;
     UpdateConfig();
 
-    std::map<uint8_t, Ptr<ComponentCarrierUe>>::iterator it;
-    for (it = m_ccMap.begin(); it != m_ccMap.end(); ++it)
+    for (auto it = m_ccMap.begin(); it != m_ccMap.end(); ++it)
     {
         it->second->GetPhy()->Initialize();
         it->second->GetMac()->Initialize();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-ue-phy.cc ns-3.40/src/lte/model/lte-ue-phy.cc
--- ns-3.39/src/lte/model/lte-ue-phy.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-ue-phy.cc	2023-09-27 13:30:37.822839500 -0700
@@ -609,8 +609,8 @@
         // RSRP evaluated as averaged received power among RBs
         double sum = 0.0;
         uint8_t rbNum = 0;
-        Values::const_iterator it;
-        for (it = m_rsReceivedPower.ConstValuesBegin(); it != m_rsReceivedPower.ConstValuesEnd();
+        for (auto it = m_rsReceivedPower.ConstValuesBegin();
+             it != m_rsReceivedPower.ConstValuesEnd();
              it++)
         {
             // convert PSD [W/Hz] to linear power [W] for the single RE
@@ -648,14 +648,14 @@
         // measure instantaneous RSRQ now
         NS_ASSERT_MSG(m_rsInterferencePowerUpdated, " RS interference power info obsolete");
 
-        std::list<PssElement>::iterator itPss = m_pssList.begin();
+        auto itPss = m_pssList.begin();
         while (itPss != m_pssList.end())
         {
             uint16_t rbNum = 0;
             double rssiSum = 0.0;
 
-            Values::const_iterator itIntN = m_rsInterferencePower.ConstValuesBegin();
-            Values::const_iterator itPj = m_rsReceivedPower.ConstValuesBegin();
+            auto itIntN = m_rsInterferencePower.ConstValuesBegin();
+            auto itPj = m_rsReceivedPower.ConstValuesBegin();
             for (itPj = m_rsReceivedPower.ConstValuesBegin();
                  itPj != m_rsReceivedPower.ConstValuesEnd();
                  itIntN++, itPj++)
@@ -675,8 +675,7 @@
                 NS_LOG_INFO(this << " PSS RNTI " << m_rnti << " cellId " << m_cellId << " has RSRQ "
                                  << rsrq_dB << " and RBnum " << rbNum);
                 // store measurements
-                std::map<uint16_t, UeMeasurementsElement>::iterator itMeasMap;
-                itMeasMap = m_ueMeasurementsMap.find((*itPss).cellId);
+                auto itMeasMap = m_ueMeasurementsMap.find((*itPss).cellId);
                 if (itMeasMap != m_ueMeasurementsMap.end())
                 {
                     (*itMeasMap).second.rsrqSum += rsrq_dB;
@@ -706,9 +705,8 @@
     // averaged SINR among RBs
     double sum = 0.0;
     uint8_t rbNum = 0;
-    Values::const_iterator it;
 
-    for (it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
+    for (auto it = sinr.ConstValuesBegin(); it != sinr.ConstValuesEnd(); it++)
     {
         sum += (*it);
         rbNum++;
@@ -818,8 +816,8 @@
     if (m_enableUplinkPowerControl)
     {
         double sum = 0;
-        Values::const_iterator it;
-        for (it = m_rsReceivedPower.ConstValuesBegin(); it != m_rsReceivedPower.ConstValuesEnd();
+        for (auto it = m_rsReceivedPower.ConstValuesBegin();
+             it != m_rsReceivedPower.ConstValuesEnd();
              it++)
         {
             double powerTxW = ((*it) * 180000);
@@ -940,8 +938,7 @@
 
     LteUeCphySapUser::UeMeasurementsParameters ret;
 
-    std::map<uint16_t, UeMeasurementsElement>::iterator it;
-    for (it = m_ueMeasurementsMap.begin(); it != m_ueMeasurementsMap.end(); it++)
+    for (auto it = m_ueMeasurementsMap.begin(); it != m_ueMeasurementsMap.end(); it++)
     {
         double avg_rsrp = (*it).second.rsrpSum / (double)(*it).second.rsrpNum;
         double avg_rsrq = (*it).second.rsrqSum / (double)(*it).second.rsrqNum;
@@ -968,7 +965,7 @@
                                (*it).first,
                                avg_rsrp,
                                avg_rsrq,
-                               ((*it).first == m_cellId ? 1 : 0),
+                               (*it).first == m_cellId,
                                m_componentCarrierId);
     }
 
@@ -1029,10 +1026,9 @@
 {
     NS_LOG_FUNCTION(this);
 
-    std::list<Ptr<LteControlMessage>>::iterator it;
     NS_LOG_DEBUG(this << " I am rnti = " << m_rnti << " and I received msgs "
                       << (uint16_t)msgList.size());
-    for (it = msgList.begin(); it != msgList.end(); it++)
+    for (auto it = msgList.begin(); it != msgList.end(); it++)
     {
         Ptr<LteControlMessage> msg = (*it);
 
@@ -1135,10 +1131,7 @@
             Ptr<RarLteControlMessage> rarMsg = DynamicCast<RarLteControlMessage>(msg);
             if (rarMsg->GetRaRnti() == m_raRnti)
             {
-                for (std::list<RarLteControlMessage::Rar>::const_iterator it =
-                         rarMsg->RarListBegin();
-                     it != rarMsg->RarListEnd();
-                     ++it)
+                for (auto it = rarMsg->RarListBegin(); it != rarMsg->RarListEnd(); ++it)
                 {
                     if (it->rapId != m_raPreambleId)
                     {
@@ -1195,8 +1188,7 @@
 
     double sum = 0.0;
     uint16_t nRB = 0;
-    Values::const_iterator itPi;
-    for (itPi = p->ConstValuesBegin(); itPi != p->ConstValuesEnd(); itPi++)
+    for (auto itPi = p->ConstValuesBegin(); itPi != p->ConstValuesEnd(); itPi++)
     {
         // convert PSD [W/Hz] to linear power [W] for the single RE
         double powerTxW = ((*itPi) * 180000.0) / 12.0;
@@ -1211,8 +1203,7 @@
     // note that m_pssReceptionThreshold does not apply here
 
     // store measurements
-    std::map<uint16_t, UeMeasurementsElement>::iterator itMeasMap =
-        m_ueMeasurementsMap.find(cellId);
+    auto itMeasMap = m_ueMeasurementsMap.find(cellId);
     if (itMeasMap == m_ueMeasurementsMap.end())
     {
         // insert new entry
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/model/lte-ue-phy.h ns-3.40/src/lte/model/lte-ue-phy.h
--- ns-3.39/src/lte/model/lte-ue-phy.h	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/model/lte-ue-phy.h	2023-09-27 13:30:37.822839500 -0700
@@ -698,7 +698,7 @@
 
     uint16_t m_srsPeriodicity;    ///< SRS periodicity
     uint16_t m_srsSubframeOffset; ///< SRS subframe offset
-    uint16_t m_srsConfigured;     ///< SRS configured
+    bool m_srsConfigured;         ///< SRS configured
     Time m_srsStartTime;          ///< SRS start time
 
     double m_paLinear; ///< PA linear
